client platform delegate implementation

10/30/2012 01:09 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 120.00 hours

Target version: GUI Support for a Complex ADM2 App   

billable: No vendor_id: GCD

Description

History

#1 - 10/30/2012 01:11 PM - Greg Shah

If all client platform dependencies can be eliminated, then this task is not needed.

Any remaining client platform dependencies must be supported using a special-purpose P2J client;  The primary approach here is to implement a

“partial/delegated Java P2J client” where the must-have native portions can be driven by the P2J server just like today.  It will run outside the browser

as a standalone daemon process that connects to the P2J server.  We will have to consider security, but this way all of our normal client processing

that cannot be reasonably moved into a browser or replaced with server-side processing, will be still available.  The key effort is in coding this

cut-down client, figuring out the security and providing a clean way to install/configure and run it with minimum touch.  Try to implement as an applet if

at all possible, though there are going to be security issues with that approach.  WebStart is another idea, though it is nasty.  It can certainly be done

via a Java application, but this requires more deployment work.

#2 - 10/31/2012 01:30 PM - Greg Shah

- Target version set to Milestone 12

#3 - 02/20/2014 04:37 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

The design choices implemented in #1811 eliminate the need for this work.

#4 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
